# Create a BGP VPN
# POST  /bgpvpn/bgpvpns
#"create_bgpvpn": "rule:admin_only"

# Update a BGP VPN
# PUT  /bgpvpn/bgpvpns/{id}
#"update_bgpvpn": "rule:admin_or_owner"

# Update ``tenant_id`` attribute of a BGP VPN
# PUT  /bgpvpn/bgpvpns/{id}
#"update_bgpvpn:tenant_id": "rule:admin_only"

# Update ``route_targets`` attribute of a BGP VPN
# PUT  /bgpvpn/bgpvpns/{id}
#"update_bgpvpn:route_targets": "rule:admin_only"

# Update ``import_targets`` attribute of a BGP VPN
# PUT  /bgpvpn/bgpvpns/{id}
#"update_bgpvpn:import_targets": "rule:admin_only"

# Update ``export_targets`` attribute of a BGP VPN
# PUT  /bgpvpn/bgpvpns/{id}
#"update_bgpvpn:export_targets": "rule:admin_only"

# Update ``route_distinguishers`` attribute of a BGP VPN
# PUT  /bgpvpn/bgpvpns/{id}
#"update_bgpvpn:route_distinguishers": "rule:admin_only"

# Update ``vni`` attribute of a BGP VPN
# PUT  /bgpvpn/bgpvpns/{id}
#"update_bgpvpn:vni": "rule:admin_only"

# Delete a BGP VPN
# DELETE  /bgpvpn/bgpvpns/{id}
#"delete_bgpvpn": "rule:admin_only"

# Get BGP VPNs
# GET  /bgpvpn/bgpvpns
# GET  /bgpvpn/bgpvpns/{id}
#"get_bgpvpn": "rule:admin_or_owner"

# Get ``tenant_id`` attributes of BGP VPNs
# GET  /bgpvpn/bgpvpns
# GET  /bgpvpn/bgpvpns/{id}
#"get_bgpvpn:tenant_id": "rule:admin_only"

# Get ``route_targets`` attributes of BGP VPNs
# GET  /bgpvpn/bgpvpns
# GET  /bgpvpn/bgpvpns/{id}
#"get_bgpvpn:route_targets": "rule:admin_only"

# Get ``import_targets`` attributes of BGP VPNs
# GET  /bgpvpn/bgpvpns
# GET  /bgpvpn/bgpvpns/{id}
#"get_bgpvpn:import_targets": "rule:admin_only"

# Get ``export_targets`` attributes of  BGP VPNs
# GET  /bgpvpn/bgpvpns
# GET  /bgpvpn/bgpvpns/{id}
#"get_bgpvpn:export_targets": "rule:admin_only"

# Get ``route_distinguishers`` attributes of BGP VPNs
# GET  /bgpvpn/bgpvpns
# GET  /bgpvpn/bgpvpns/{id}
#"get_bgpvpn:route_distinguishers": "rule:admin_only"

# Get ``vni`` attributes of BGP VPNs
# GET  /bgpvpn/bgpvpns
# GET  /bgpvpn/bgpvpns/{id}
#"get_bgpvpn:vni": "rule:admin_only"

# Create a network association
# POST  /bgpvpn/bgpvpns/{bgpvpn_id}/network_associations
#"create_bgpvpn_network_association": "rule:admin_or_owner"

# Update a network association
# PUT  /bgpvpn/bgpvpns/{bgpvpn_id}/network_associations/{network_association_id}
#"update_bgpvpn_network_association": "rule:admin_or_owner"

# Delete a network association
# DELETE  /bgpvpn/bgpvpns/{bgpvpn_id}/network_associations/{network_association_id}
#"delete_bgpvpn_network_association": "rule:admin_or_owner"

# Get network associations
# GET  /bgpvpn/bgpvpns/{bgpvpn_id}/network_associations
# GET  /bgpvpn/bgpvpns/{bgpvpn_id}/network_associations/{network_association_id}
#"get_bgpvpn_network_association": "rule:admin_or_owner"

# Get ``tenant_id`` attributes of network associations
# GET  /bgpvpn/bgpvpns/{bgpvpn_id}/network_associations
# GET  /bgpvpn/bgpvpns/{bgpvpn_id}/network_associations/{network_association_id}
#"get_bgpvpn_network_association:tenant_id": "rule:admin_only"

# Create a router association
# POST  /bgpvpn/bgpvpns/{bgpvpn_id}/router_associations
#"create_bgpvpn_router_association": "rule:admin_or_owner"

# Update a router association
# PUT  /bgpvpn/bgpvpns/{bgpvpn_id}/router_associations/{router_association_id}
#"update_bgpvpn_router_association": "rule:admin_or_owner"

# Delete a router association
# DELETE  /bgpvpn/bgpvpns/{bgpvpn_id}/router_associations/{router_association_id}
#"delete_bgpvpn_router_association": "rule:admin_or_owner"

# Get router associations
# GET  /bgpvpn/bgpvpns/{bgpvpn_id}/router_associations
# GET  /bgpvpn/bgpvpns/{bgpvpn_id}/router_associations/{router_association_id}
#"get_bgpvpn_router_association": "rule:admin_or_owner"

# Get ``tenant_id`` attributes of router associations
# GET  /bgpvpn/bgpvpns/{bgpvpn_id}/router_associations
# GET  /bgpvpn/bgpvpns/{bgpvpn_id}/router_associations/{router_association_id}
#"get_bgpvpn_router_association:tenant_id": "rule:admin_only"

# Create a port association
# POST  /bgpvpn/bgpvpns/{bgpvpn_id}/port_associations
#"create_bgpvpn_port_association": "rule:admin_or_owner"

# Update a port association
# PUT  /bgpvpn/bgpvpns/{bgpvpn_id}/port_associations/{port_association_id}
#"update_bgpvpn_port_association": "rule:admin_or_owner"

# Delete a port association
# DELETE  /bgpvpn/bgpvpns/{bgpvpn_id}/port_associations/{port_association_id}
#"delete_bgpvpn_port_association": "rule:admin_or_owner"

# Get port associations
# GET  /bgpvpn/bgpvpns/{bgpvpn_id}/port_associations
# GET  /bgpvpn/bgpvpns/{bgpvpn_id}/port_associations/{port_association_id}
#"get_bgpvpn_port_association": "rule:admin_or_owner"

# Get ``tenant_id`` attributes of port associations
# GET  /bgpvpn/bgpvpns/{bgpvpn_id}/port_associations
# GET  /bgpvpn/bgpvpns/{bgpvpn_id}/port_associations/{port_association_id}
#"get_bgpvpn_port_association:tenant_id": "rule:admin_only"

